#!/usr/bin/env bash

# #########################################
# 
# Please update POOL, WALLET, and CPU below
# 
# #########################################

# Valid Pools:
#   devnoso
#   leviable
#   russiapool

# Example values:
# POOL="devnoso"
# WALLET="devteam_donations"
# CPU=4

# You can specify multiple wallet addresses, which will be
# cycled through round-robin after each disconnect. Useful
# If you want to maintain a single shell script for multiple
# miners (Note you MUST suround wallet addresses with quotes:
# WALLET="leviable leviabl2 leviable3"

POOL="devnoso"
WALLET="N3KSeC8Le3GDDUU9h4GdHMyGvbH52Ao"
CPU=2

# #########################################
# 
# No user editable code below
# 
# #########################################

for wallet in ${WALLET:?Variable not set or is empty}; do
    wallets+=" --wallet $wallet"
done

while true; do
  bash noso-go mine pool \
    "${POOL:?Variable not set or is empty}" \
    $wallets \
    --cpu ${CPU:?Variable not set or is empty} \
    --exit-on-retry \
    --random-wallet

  exit_code=$?
  if [ "$exit_code" != "1" ]; then
      continue
  else
      exit $exit_code
  fi
done
